org.apache.felix.gogo.shell

## Class Posix

- java.lang.Object
- - org.apache.felix.gogo.shell.Posix

    public class Posix
    extends Object

Posix-like utilities. See http://www.opengroup.org/onlinepubs/009695399/utilities/contents.html

### Constructor Summary

Constructors
Constructor and Description
`Posix()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `cat(org.apache.felix.service.command.CommandSession session, String[] args)`
`static void` `copy(InputStream in, OutputStream out)`
`static void` `copy(URI source, OutputStream out)`
`void` `echo(Object[] args)`
`boolean` `grep(org.apache.felix.service.command.CommandSession session, String[] argv)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Posix

    public Posix()

### Method Detail

#### cat

    public void cat(org.apache.felix.service.command.CommandSession session,
                    String[] args)
             throws Exception

Throws:
  `Exception`

#### echo

    public void echo(Object[] args)

#### grep

    public boolean grep(org.apache.felix.service.command.CommandSession session,
                        String[] argv)
                 throws IOException

Throws:
  `IOException`

#### copy

    public static void copy(URI source,
                            OutputStream out)
                     throws IOException

Throws:
  `IOException`

#### copy

    public static void copy(InputStream in,
                            OutputStream out)
                     throws IOException

Throws:
  `IOException`